org.eclipse.viatra.query.tooling.generator.model.generatorModel.impl

## Class GeneratorModelPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.viatra.query.tooling.generator.model.generatorModel.impl.GeneratorModelPackageImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, GeneratorModelPackage

      public class GeneratorModelPackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements GeneratorModelPackage

  An implementation of the model Package.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.tooling.generator.model.generatorModel.GeneratorModelPackage

      `GeneratorModelPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.viatra.query.tooling.generator.model.generatorModel.GeneratorModelPackage

      `CONFIGURATION, CONFIGURATION__NAME, CONFIGURATION__PROPERTY, CONFIGURATION_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, GENERATOR_MODEL_REFERENCE, GENERATOR_MODEL_REFERENCE__GENMODEL, GENERATOR_MODEL_REFERENCE_FEATURE_COUNT, PROPERTY, PROPERTY__KEY, PROPERTY__VALUE, PROPERTY_FEATURE_COUNT, VIATRA_QUERY_GENERATOR_MODEL, VIATRA_QUERY_GENERATOR_MODEL__CONFIGURATION, VIATRA_QUERY_GENERATOR_MODEL__GENMODELS, VIATRA_QUERY_GENERATOR_MODEL_FEATURE_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EAttribute` | `getConfiguration_Name()`
    `org.eclipse.emf.ecore.EReference` | `getConfiguration_Property()`
    `org.eclipse.emf.ecore.EClass` | `getConfiguration()`
    `GeneratorModelFactory` | `getGeneratorModelFactory()`
    `org.eclipse.emf.ecore.EReference` | `getGeneratorModelReference_Genmodel()`
    `org.eclipse.emf.ecore.EClass` | `getGeneratorModelReference()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_Key()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_Value()`
    `org.eclipse.emf.ecore.EClass` | `getProperty()`
    `org.eclipse.emf.ecore.EReference` | `getViatraQueryGeneratorModel_Configuration()`
    `org.eclipse.emf.ecore.EReference` | `getViatraQueryGeneratorModel_Genmodels()`
    `org.eclipse.emf.ecore.EClass` | `getViatraQueryGeneratorModel()`
    `static GeneratorModelPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static GeneratorModelPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `GeneratorModelPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `GeneratorModelPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated:

    - #### getViatraQueryGeneratorModel

          public org.eclipse.emf.ecore.EClass getViatraQueryGeneratorModel()

      Specified by:
        `getViatraQueryGeneratorModel` in interface `GeneratorModelPackage`
      Returns:
        the meta object for class 'Viatra Query Generator Model'.
      See Also:
        `ViatraQueryGeneratorModel`
      Generated:

    - #### getViatraQueryGeneratorModel_Genmodels

          public org.eclipse.emf.ecore.EReference getViatraQueryGeneratorModel_Genmodels()

      Specified by:
        `getViatraQueryGeneratorModel_Genmodels` in interface `GeneratorModelPackage`
      Returns:
        the meta object for the containment reference list 'Genmodels'.
      See Also:
        `ViatraQueryGeneratorModel.getGenmodels()`, `GeneratorModelPackage.getViatraQueryGeneratorModel()`
      Generated:

    - #### getViatraQueryGeneratorModel_Configuration

          public org.eclipse.emf.ecore.EReference getViatraQueryGeneratorModel_Configuration()

      Specified by:
        `getViatraQueryGeneratorModel_Configuration` in interface `GeneratorModelPackage`
      Returns:
        the meta object for the containment reference list 'Configuration'.
      See Also:
        `ViatraQueryGeneratorModel.getConfiguration()`, `GeneratorModelPackage.getViatraQueryGeneratorModel()`
      Generated:

    - #### getGeneratorModelReference

          public org.eclipse.emf.ecore.EClass getGeneratorModelReference()

      Specified by:
        `getGeneratorModelReference` in interface `GeneratorModelPackage`
      Returns:
        the meta object for class 'Reference'.
      See Also:
        `GeneratorModelReference`
      Generated:

    - #### getGeneratorModelReference_Genmodel

          public org.eclipse.emf.ecore.EReference getGeneratorModelReference_Genmodel()

      Specified by:
        `getGeneratorModelReference_Genmodel` in interface `GeneratorModelPackage`
      Returns:
        the meta object for the reference 'Genmodel'.
      See Also:
        `GeneratorModelReference.getGenmodel()`, `GeneratorModelPackage.getGeneratorModelReference()`
      Generated:

    - #### getConfiguration

          public org.eclipse.emf.ecore.EClass getConfiguration()

      Specified by:
        `getConfiguration` in interface `GeneratorModelPackage`
      Returns:
        the meta object for class 'Configuration'.
      See Also:
        `Configuration`
      Generated:

    - #### getConfiguration_Name

          public org.eclipse.emf.ecore.EAttribute getConfiguration_Name()

      Specified by:
        `getConfiguration_Name` in interface `GeneratorModelPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Configuration.getName()`, `GeneratorModelPackage.getConfiguration()`
      Generated:

    - #### getConfiguration_Property

          public org.eclipse.emf.ecore.EReference getConfiguration_Property()

      Specified by:
        `getConfiguration_Property` in interface `GeneratorModelPackage`
      Returns:
        the meta object for the containment reference list 'Property'.
      See Also:
        `Configuration.getProperty()`, `GeneratorModelPackage.getConfiguration()`
      Generated:

    - #### getProperty

          public org.eclipse.emf.ecore.EClass getProperty()

      Specified by:
        `getProperty` in interface `GeneratorModelPackage`
      Returns:
        the meta object for class 'Property'.
      See Also:
        `Property`
      Generated:

    - #### getProperty_Key

          public org.eclipse.emf.ecore.EAttribute getProperty_Key()

      Specified by:
        `getProperty_Key` in interface `GeneratorModelPackage`
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `Property.getKey()`, `GeneratorModelPackage.getProperty()`
      Generated:

    - #### getProperty_Value

          public org.eclipse.emf.ecore.EAttribute getProperty_Value()

      Specified by:
        `getProperty_Value` in interface `GeneratorModelPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Property.getValue()`, `GeneratorModelPackage.getProperty()`
      Generated:

    - #### getGeneratorModelFactory

          public GeneratorModelFactory getGeneratorModelFactory()

      Specified by:
        `getGeneratorModelFactory` in interface `GeneratorModelPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated:

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated:

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated: